#######################################################################################################
# This script installs the packages needed to run the other scripts in the folder
# It uses the 'checkpoint' package to set the package versions to those that were used for analysis
# The checkpoint date is set to 1 December 2016
#######################################################################################################

rm(list = ls())
ipkg <- rownames(installed.packages()) # List installed packages

# Check if the 'checkpoint' package is already installed and install it if necessary
if(!("checkpoint" %in% ipkg)) install.packages("checkpoint")

library(checkpoint)
checkpoint(snapshotDate = "2016-12-01", scanForPackages = T)